Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface LifecycleMetaData

All Superinterfaces:
  Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

All Known Implementing Classes:
  AbstractLifecycleMetaData

public interface LifecycleMetaData
extends FeatureMetaData

Metadata about a lifecycle method.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`String` | `getMethodName()` Get the method name.
`List` | `getParameters()` Get the parameters.
`org.jboss.dependency.spi.ControllerState` | `getState()` Get the state
`void` | `setState(org.jboss.dependency.spi.ControllerState state)` Set the state

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Method Detail

### getState

    public org.jboss.dependency.spi.ControllerState getState()

  Get the state

  Returns:
    the state

### setState

    public void setState(org.jboss.dependency.spi.ControllerState state)

  Set the state

  Parameters:
    `state` - the state

### getMethodName

    public String getMethodName()

  Get the method name.

  Returns:
    the method name.

### getParameters

    public List getParameters()

  Get the parameters.

  Returns:
    List.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.